Question: Gemini Installation pybedtools version error
0
gravatar for andrew.j.skelton73
2.0 years ago by
London
andrew.j.skelton734.8k wrote:

Hi,

This may be a more StackOverflow question, but I'm installing Gemini and I've got an error I can't seem to fathom. I've ran the installation script and that went fine, but as soon as I start the test script, I get a pybedtools error:

Traceback (most recent call last):
  File "/usr/local/bin/gemini", line 4, in <module>
    import pkg_resources
  File "/usr/local/lib/python2.7/dist-packages/distribute-0.6.14-py2.7.egg/pkg_resources.py", line 2675, in <module>
    parse_requirements(__requires__), Environment()
  File "/usr/local/lib/python2.7/dist-packages/distribute-0.6.14-py2.7.egg/pkg_resources.py", line 552, in resolve
    raise DistributionNotFound(req)
pkg_resources.DistributionNotFound: pybedtools>=0.6.2

However, when running pip list I see:

pybedtools (0.7.7)

I have to admit that I don't use python often so I'm sure it's just some Pythony wizardry that I'm missing out on. Any advice?

Thanks

gemini • 649 views
ADD COMMENTlink written 2.0 years ago by andrew.j.skelton734.8k

Open an issue with the Gemini issue tracker

ADD REPLYlink written 2.0 years ago by Matt Shirley8.4k

Already have, I was just wondering if anyone with more Python experience could pick up on somewhere I went wrong.

ADD REPLYlink written 2.0 years ago by andrew.j.skelton734.8k
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 2.3.0
Traffic: 870 users visited in the last hour